package com.qmth.teachcloud.mark.dto.mark.mark;

import java.util.List;

import com.qmth.teachcloud.common.enums.EnumResult;
import com.qmth.teachcloud.common.enums.mark.MarkMode;
import com.qmth.teachcloud.common.enums.mark.MarkPaperStatus;
import com.qmth.teachcloud.mark.enums.ExamType;

public class MarkSettingDto {
	private ExamType examType;
	private MarkMode mode;
	private Boolean forceMode;
	private Boolean sheetView;
	private String sheetConfig;
	private Boolean enableAllZore;
	private String fileServer;
	private String userName;
	private MarkSubjectDto subject;
	private Boolean forceSpecialTag;
	private String uiSetting;
	private MarkPaperStatus statusValue;
	private List<EnumResult> problemTypes;
	private Integer groupNumber;
	private Integer topCount;
	private Double[] splitConfig;
	private Integer prefetchCount;
	private Long startTime;
	private Long endTime;
	private Boolean selective;
	private Boolean autoScroll;
	private Boolean enableSplit;
	private Boolean showObjectScore;

	public MarkSettingDto() {
		subject =new MarkSubjectDto();
	}
	
	public ExamType getExamType() {
		return examType;
	}
	public void setExamType(ExamType examType) {
		this.examType = examType;
	}
	public MarkMode getMode() {
		return mode;
	}
	public void setMode(MarkMode mode) {
		this.mode = mode;
	}
	public Boolean getForceMode() {
		return forceMode;
	}
	public void setForceMode(Boolean forceMode) {
		this.forceMode = forceMode;
	}
	public Boolean getSheetView() {
		return sheetView;
	}
	public void setSheetView(Boolean sheetView) {
		this.sheetView = sheetView;
	}
	public String getSheetConfig() {
		return sheetConfig;
	}
	public void setSheetConfig(String sheetConfig) {
		this.sheetConfig = sheetConfig;
	}
	public Boolean getEnableAllZore() {
		return enableAllZore;
	}
	public void setEnableAllZore(Boolean enableAllZore) {
		this.enableAllZore = enableAllZore;
	}
	public String getFileServer() {
		return fileServer;
	}
	public void setFileServer(String fileServer) {
		this.fileServer = fileServer;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public MarkSubjectDto getSubject() {
		return subject;
	}
	public void setSubject(MarkSubjectDto subject) {
		this.subject = subject;
	}
	public Boolean getForceSpecialTag() {
		return forceSpecialTag;
	}
	public void setForceSpecialTag(Boolean forceSpecialTag) {
		this.forceSpecialTag = forceSpecialTag;
	}
	public String getUiSetting() {
		return uiSetting;
	}
	public void setUiSetting(String uiSetting) {
		this.uiSetting = uiSetting;
	}
	public MarkPaperStatus getStatusValue() {
		return statusValue;
	}
	public void setStatusValue(MarkPaperStatus statusValue) {
		this.statusValue = statusValue;
	}
	public List<EnumResult> getProblemTypes() {
		return problemTypes;
	}
	public void setProblemTypes(List<EnumResult> problemTypes) {
		this.problemTypes = problemTypes;
	}
	public Integer getGroupNumber() {
		return groupNumber;
	}
	public void setGroupNumber(Integer groupNumber) {
		this.groupNumber = groupNumber;
	}
	public Integer getTopCount() {
		return topCount;
	}
	public void setTopCount(Integer topCount) {
		this.topCount = topCount;
	}
	public Double[] getSplitConfig() {
		return splitConfig;
	}
	public void setSplitConfig(Double[] splitConfig) {
		this.splitConfig = splitConfig;
	}
	public Integer getPrefetchCount() {
		return prefetchCount;
	}
	public void setPrefetchCount(Integer prefetchCount) {
		this.prefetchCount = prefetchCount;
	}
	public Long getStartTime() {
		return startTime;
	}
	public void setStartTime(Long startTime) {
		this.startTime = startTime;
	}
	public Long getEndTime() {
		return endTime;
	}
	public void setEndTime(Long endTime) {
		this.endTime = endTime;
	}
	public Boolean getSelective() {
		return selective;
	}
	public void setSelective(Boolean selective) {
		this.selective = selective;
	}
	public Boolean getAutoScroll() {
		return autoScroll;
	}
	public void setAutoScroll(Boolean autoScroll) {
		this.autoScroll = autoScroll;
	}
	public Boolean getEnableSplit() {
		return enableSplit;
	}
	public void setEnableSplit(Boolean enableSplit) {
		this.enableSplit = enableSplit;
	}

	public Boolean getShowObjectScore() {
		return showObjectScore;
	}

	public void setShowObjectScore(Boolean showObjectScore) {
		this.showObjectScore = showObjectScore;
	}
}
